Package io.vertx.rxjava3.jdbcclient

## Class SqlOutParam

- java.lang.Object
- - io.vertx.rxjava3.jdbcclient.SqlOutParam

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class SqlOutParam
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Tag if a parameter is of type OUT or INOUT. By default parameters are of type IN as they are provided by the user to the RDBMs engine. There are however cases where these must be tagged as OUT/INOUT when dealing with stored procedures/functions or complex statements. This interface allows marking the type of the param as required by the JDBC API.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<SqlOutParam>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SqlOutParam​(SqlOutParam delegate)` |
    `SqlOutParam​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `SqlOutParam` | `getDelegate()` |
    `int` | `hashCode()` |
    `boolean` | `in()` | Is this marker `IN`?
    `static SqlOutParam` | `INOUT​(Object in, int out)` | Factory for a INOUT parameter of type `out`.
    `static SqlOutParam` | `INOUT​(Object in, String out)` | Factory for a INOUT parameter of type `out`.
    `static SqlOutParam` | `INOUT​(Object in, JDBCType out)` | Factory for a INOUT parameter of type `out`.
    `static SqlOutParam` | `newInstance​(SqlOutParam arg)` |
    `static SqlOutParam` | `OUT​(int out)` | Factory for a OUT parameter of type `out`.
    `static SqlOutParam` | `OUT​(String out)` | Factory for a OUT parameter of type `out`.
    `static SqlOutParam` | `OUT​(JDBCType out)` | Factory for a OUT parameter of type `out`.
    `String` | `toString()` |
    `int` | `type()` | Get the output type
    `Object` | `value()` | Get the input value

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<SqlOutParam> __TYPE_ARG

  - ### Constructor Detail

    - #### SqlOutParam

          public SqlOutParam​(SqlOutParam delegate)

    - #### SqlOutParam

          public SqlOutParam​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public SqlOutParam getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### OUT

          public static SqlOutParam OUT​(int out)

      Factory for a OUT parameter of type `out`.
      Parameters:
        `out` - the kind of the type according to JDBC types.
      Returns:
        new marker

    - #### OUT

          public static SqlOutParam OUT​(String out)

      Factory for a OUT parameter of type `out`.
      Parameters:
        `out` - the kind of the type according to JDBC types.
      Returns:
        new marker

    - #### OUT

          public static SqlOutParam OUT​(JDBCType out)

      Factory for a OUT parameter of type `out`.
      Parameters:
        `out` - the kind of the type according to JDBC types.
      Returns:
        new marker

    - #### INOUT

          public static SqlOutParam INOUT​(Object in,
                                          int out)

      Factory for a INOUT parameter of type `out`.
      Parameters:
        `in` - the value to be passed as input.
        `out` - the kind of the type according to JDBC types.
      Returns:
        new marker

    - #### INOUT

          public static SqlOutParam INOUT​(Object in,
                                          String out)

      Factory for a INOUT parameter of type `out`.
      Parameters:
        `in` - the value to be passed as input.
        `out` - the kind of the type according to JDBC types.
      Returns:
        new marker

    - #### INOUT

          public static SqlOutParam INOUT​(Object in,
                                          JDBCType out)

      Factory for a INOUT parameter of type `out`.
      Parameters:
        `in` - the value to be passed as input.
        `out` - the kind of the type according to JDBC types.
      Returns:
        new marker

    - #### in

          public boolean in()

      Is this marker `IN`?
      Returns:
        true if `INOUT`

    - #### type

          public int type()

      Get the output type
      Returns:
        type

    - #### value

          public Object value()

      Get the input value
      Returns:
        input

    - #### newInstance

          public static SqlOutParam newInstance​(SqlOutParam arg)